Subject: Re: [PATCH 0/2] merge --summary vs. merge.summary

From: SZEDER Gábor <[email-masked]>
Date: Thu, 3 Apr 2008 13:03:59 +0200

Hi Jeff,

On Thu, Apr 03, 2008 at 06:30:56AM -0400, Jeff King wrote:
> On Thu, Apr 03, 2008 at 11:03:14AM +0200, SZEDER Gábor wrote:
> 
> > So the '--summary' option controls the printing of diffstat, while the
> > 'merge.summary' config variable controls the behaviour of 'fmt-merge-msg',
> 
> Think that --diffstat is probably a better name. But your series
> actually _changes_ the meaning of --summary, which is probably a bad
> idea for people who have scripted around these.
> 
> The problem is that you have two concepts with the same name; giving one
> of the concepts the name means that the other concept breaks.
Well, I agree with you, and I had the same concerns you expressed
here.

>   2. merge.summary becomes merge.something_else, along with
>      --something-else support. merge.summary remains as a compatibility
>      option for merge.something_else.
>
> Though I can't think of a good "something_else".
Me neither.

> Given that there isn't
> even a command-line equivalent to merge.summary now, maybe just leave it
> as merge.summary
I think that the name of the command-line option and the config
variable should be in sync, so having merge.sync and --something-else
is probably not a good idea.  Furthermore, I think it should also be
sync with the options of fmt-merge-msg.

Regards,
Gábor